<?php

namespace Tool;

use Tool\Captcha\Src\Captcha;

class CaptchaTool
{
    /**
     * 获取图形验证码
     * @param $key string 建
     * @return Captcha\Src\Image
     */
    public static function getCaptcha($key)
    {
        $captcha = new Captcha();
        return $captcha->make($key)->getBase64();
    }

    /**
     * 校验验证码
     * @param $key string 建
     * @param $val string 值
     * @return bool
     */
    public static function check($key, $val)
    {
        $captcha = new Captcha();
        return $captcha->check($key,$val);
    }
}